package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.QuickLinks;


/**
*  service接口类
*/
public interface QuickLinksService{

    List<QuickLinks> getQuickLinksList(QuickLinks record);

    List<QuickLinks> getQuickLinksByPage(Page page, QuickLinks record);

    QuickLinks getQuickLinksById(String id);

    QuickLinks getQuickLinks(QuickLinks record);

    boolean createQuickLinks(QuickLinks record);

    boolean deleteQuickLinks(String id);

    boolean updateQuickLinks(QuickLinks record);
}

